Overview
GET
/persona/servicespersonaList the caller's LLM provider connections
List services.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
Persona services (redacted)
- idstring
- templateIdoptionalstring?
- providerKindstring
- namestring
- baseUrlstring
- hasApiKeyboolean
- connectStatusstring
- connectErroroptionalstring?
- lastConnectedAtoptionalstring?
- documentationUrloptionalstring?
- statusUrloptionalstring?
- modelsPersonaServiceModel[]
- modelsFetchedAtoptionalstring?
Example
[
{
"id": "string",
"templateId": "string",
"providerKind": "string",
"name": "string",
"baseUrl": "string",
"hasApiKey": true,
"connectStatus": "string",
"connectError": "string",
"lastConnectedAt": "string",
"documentationUrl": "string",
"statusUrl": "string",
"models": [
"string"
],
"modelsFetchedAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/persona/services" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona/services", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();